/*--------------------------------

Nucleo icon font
Generated using nucleoapp.com

-------------------------------- */

$icon-font-path: "assets/fonts" !default;

@font-face {
  font-family: 'Nucleo';
  src: url('#{$icon-font-path}/Nucleo.eot');
  src: url('#{$icon-font-path}/Nucleo.eot') format('embedded-opentype'),
       url('#{$icon-font-path}/Nucleo.woff2') format('woff2'),
       url('#{$icon-font-path}/Nucleo.woff') format('woff'),
       url('#{$icon-font-path}/Nucleo.ttf') format('truetype'),
       url('#{$icon-font-path}/Nucleo.svg') format('svg');
}

/* base class */
.fa-icon {
  display: inline-block;
  font: normal normal normal 1em/1 'Nucleo';
  font-size: 24px;
  color: inherit;
  flex-shrink: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* size examples - relative units */
.fa-icon-sm {
  font-size: 0.8em;
}

.fa-icon-lg {
  font-size: 1.2em;
}

/* size examples - absolute units */
.fa-icon-16 {
  font-size: 16px;
}

.fa-icon-32 {
  font-size: 32px;
}

/* rotate the icon infinitely */
.fa-icon-is-spinning {
  animation: fa-icon-spin 1s infinite linear;
}

@keyframes fa-icon-spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* transform */
.fa-icon-rotate-90  {
	transform: rotate(90deg);
}

.fa-icon-rotate-180 {
	transform: rotate(180deg);
}

.fa-icon-rotate-270 {
	transform: rotate(270deg);
}

.fa-icon-flip-y {
	transform: scaleY(-1);
}

.fa-icon-flip-x {
	transform: scaleX(-1);
}

/* icons */
$icons: (
  'address-book': 'ea01',
  'address-card': 'ea02',
  'bell': 'ea03',
  'bell-slash': 'ea04',
  'bookmark': 'ea05',
  'building': 'ea06',
  'calendar': 'ea07',
  'calendar-check': 'ea08',
  'calendar-days': 'ea09',
  'calendar-minus': 'ea0a',
  'calendar-plus': 'ea0b',
  'calendar-xmark': 'ea0c',
  'chart-bar': 'ea0d',
  'chess-bishop': 'ea0e',
  'chess-king': 'ea0f',
  'chess-knight': 'ea10',
  'chess-pawn': 'ea11',
  'chess-queen': 'ea12',
  'chess-rook': 'ea13',
  'circle-check': 'ea14',
  'circle-dot': 'ea15',
  'circle-down': 'ea16',
  'circle-left': 'ea17',
  'circle-pause': 'ea18',
  'circle-play': 'ea19',
  'circle-question': 'ea1a',
  'circle-right': 'ea1b',
  'circle-stop': 'ea1c',
  'circle-up': 'ea1d',
  'circle-user': 'ea1e',
);

@function unicode($str) {
  @return unquote("\"\\#{$str}\"");
}

@each $name, $code in $icons {
  .icon-#{""+$name}::before {
    content: unicode($code);
  }
}
